apiVersion: kafka.strimzi.io/v1beta1
kind: Kafka
metadata:
  creationTimestamp: '2021-03-14T01:58:18Z'
  generation: 1
  managedFields:
    - apiVersion: kafka.strimzi.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:spec':
          'f:entityOperator':
            'f:topicOperator':
              'f:reconciliationIntervalSeconds': {}
              'f:topicMetadataMaxAttempts': {}
              'f:zookeeperSessionTimeoutSeconds': {}
            'f:userOperator':
              'f:reconciliationIntervalSeconds': {}
              'f:zookeeperSessionTimeoutSeconds': {}
        'f:status':
          .: {}
          'f:clusterId': {}
          'f:conditions': {}
          'f:listeners': {}
          'f:observedGeneration': {}
      manager: okhttp
      operation: Update
      time: '2021-03-16T12:39:19Z'
  name: my-cluster
  namespace: bu-pam-sample
  resourceVersion: '159494684'
  selfLink: /apis/kafka.strimzi.io/v1beta1/namespaces/bu-pam-sample/kafkas/my-cluster
  uid: 4e065c0a-4348-4dd9-8fe1-f75ff5a34e56
spec:
  entityOperator:
    topicOperator: {}
    userOperator: {}
  kafka:
    config:
      inter.broker.protocol.version: '2.7'
      log.message.format.version: '2.7'
      offsets.topic.replication.factor: 3
      transaction.state.log.min.isr: 2
      transaction.state.log.replication.factor: 3
    listeners:
      - name: plain
        port: 9092
        tls: false
        type: internal
      - name: tls
        port: 9093
        tls: true
        type: internal
    replicas: 3
    storage:
      type: ephemeral
    version: 2.7.0
  zookeeper:
    replicas: 3
    storage:
      type: ephemeral
status:
  clusterId: 5YxvBMh3TuOjY3ZgOISJBA
  conditions:
    - lastTransitionTime: '2021-03-16T12:39:19+0000'
      status: 'True'
      type: Ready
  listeners:
    - addresses:
        - host: my-cluster-kafka-bootstrap.bu-pam-sample.svc
          port: 9092
      bootstrapServers: 'my-cluster-kafka-bootstrap.bu-pam-sample.svc:9092'
      type: plain
    - addresses:
        - host: my-cluster-kafka-bootstrap.bu-pam-sample.svc
          port: 9093
      bootstrapServers: 'my-cluster-kafka-bootstrap.bu-pam-sample.svc:9093'
      certificates:
        - |
          -----BEGIN CERTIFICATE-----
          MIIDLTCCAhWgAwIBAgIJAKVrFc2rgEmmMA0GCSqGSIb3DQEBCwUAMC0xEzARBgNV
          BAoMCmlvLnN0cmltemkxFjAUBgNVBAMMDWNsdXN0ZXItY2EgdjAwHhcNMjEwMzE0
          MDE1ODE5WhcNMjIwMzE0MDE1ODE5WjAtMRMwEQYDVQQKDAppby5zdHJpbXppMRYw
          FAYDVQQDDA1jbHVzdGVyLWNhIHYwMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIB
          CgKCAQEAxszZ3ZaqieTttYsY73zcuCr8wTYLCz2Qc6UxJFahPQFzNiYE8TXEp4fn
          zPtyw5Xh1Ozoxb6CjeGyUuuPvAmomZSQWSUgsO69vBZI3UDPzaqczOW5Q+saMs4K
          vyTR603ueDLuzO8esZBsxm0EC4wDj3K/AZ5on+ccS0oIrzdZ4hxZNbLEvPtYkVa2
          tKx/ZR7YC9B4cjG+8+qjGHA4IlXKh9s6ZLbmjn+HhdIyy1xINYDOErC0OR+zWcOA
          YK7AnHV5X82MJiQeaP0NPbF6rPZwp1fBHDnACRQp4qjDj03MZG+bXcohc06FmMhT
          E63SMxB4zOj4Rc8dosrc5PHeKfFJhwIDAQABo1AwTjAdBgNVHQ4EFgQUUSSz8rCS
          +ZRdWGo2l2TS6/s2qMEwHwYDVR0jBBgwFoAUUSSz8rCS+ZRdWGo2l2TS6/s2qMEw
          DAYDVR0TBAUwAwEB/zANBgkqhkiG9w0BAQsFAAOCAQEAMEZj3FByqLE7rZ6VOlEp
          j7HNcVuY26wya2MskP91O+fJgWP2EHvVsd0/PCUZ6kj6OjwVudndKKN2YNKEhJYn
          /r12BwH/WoA1+0rAM9GnIk4EMuxNwjYkkEY/CXbTEm/OQfeYVI6QCd1rRI2jKl97
          ycovdOr0jQL4i8hN2u2WG5EMSWmIMlAyu/ZilMQFG1/zwiK0gVAx37MrUBsuVP1I
          XfSKC5rD4yvXU2BsYA3KmJScoiKXYgbLCNEnqvRHWkI8gBSM61wFDogCUSb7aKxU
          R5LuTFS9ZDz0ULYq/VE414Mx1KLwm0W71ZP+zthTvm+55s6PTIoLZ8UF8ZymtCFz
          1Q==
          -----END CERTIFICATE-----
      type: tls
  observedGeneration: 1
